Update a project

Update a project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
codestringOptionalformat: "^[a-zA-Z0-9]+$"1-20 characters
Project code
colorstringOptional<=128 characters
Project color
descriptionstringOptional<=1024 characters
Description of project
end_datestringOptionalformat: "date"
Project end date
namestringOptional1-255 characters
The project name.
parent_idstringOptionalformat: "uuid"
Parent project ID
partner_metadatamap from strings to anyOptional
Project metadata
start_datestringOptionalformat: "date"
Project start date
tag_idslist of stringsOptional

A list of IDs of user-defined tags (labels) assigned to this project.

Response

Successful Response
idstringformat: "uuid"
A unique ID assigned to this project.
created_atdatetime
Project created at
updated_atdatetime
Last time project was updated at
entity_idstringformat: "uuid"
The ID of the entity to which the project was issued.
namestring1-255 characters
The project name.
codestringformat: "^[a-zA-Z0-9]+$"1-20 characters
Project code
colorstring<=128 characters
Project color
created_by_entity_user_idstringformat: "uuid"
Project created by entity user
descriptionstring<=1024 characters
Description of project
end_datestringformat: "date"
Project end date
parent_idstringformat: "uuid"
Parent project ID
partner_metadatamap from strings to any
Project metadata
start_datestringformat: "date"
Project start date
tagslist of objects

A list of user-defined tags (labels) assigned to this project.

Errors

400
Patch Projects ID Request Bad Request Error
401
Patch Projects ID Request Unauthorized Error
403
Patch Projects ID Request Forbidden Error
404
Patch Projects ID Request Not Found Error
422
Patch Projects ID Request Unprocessable Entity Error
500
Patch Projects ID Request Internal Server Error